View Issue Details

IDProjectCategoryView StatusLast Update
0008323Talerwallet (iOS App)public2024-04-09 13:12
ReporterChristian Grothoff Assigned ToMarcS  
PriorityhighSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.10Fixed in Version0.10 
Summary0008323: zero balance - no history
DescriptionWe just spend 2 out of 2 CHF at the snack machine. Result: our balance is zero, but now the iOS wallet only shows KUDOS, we cannot get back to CHF and thus impossible to see the CHF transaction history.
TagsNo tags attached.

Activities

MarcS

2024-02-05 14:02

developer   ~0021154

wallet-core needs to return 0 in getBalances instead of omitting the whole currency record, if there are already / still any transactions.

Florian Dold

2024-03-05 10:31

manager   ~0021668

commit 63aedafd841f3a3d7d3b7974d4e5b8fbd02afd3d (HEAD -> master, origin/master, origin/HEAD)
Author: Florian Dold <florian@dold.me>
Date: Tue Mar 5 10:30:25 2024 +0100

    wallet-core: have balance item even on zero balance
    
    Also add a test for this.

MarcS

2024-03-27 20:59

developer   ~0022020

I can confirm that wallet-core returns "0" (and no longer an empty wallet)

Issue History

Date Modified Username Field Change
2024-02-05 13:33 Christian Grothoff New Issue
2024-02-05 13:33 Christian Grothoff Status new => assigned
2024-02-05 13:33 Christian Grothoff Assigned To => MarcS
2024-02-05 14:02 MarcS Assigned To MarcS => Florian Dold
2024-02-05 14:02 MarcS Note Added: 0021154
2024-03-05 10:31 Florian Dold Note Added: 0021668
2024-03-05 10:31 Florian Dold Assigned To Florian Dold => MarcS
2024-03-05 23:16 Florian Dold Status assigned => feedback
2024-03-05 23:17 Florian Dold Target Version 0.10 => 0.9.4
2024-03-07 20:42 Christian Grothoff Priority normal => high
2024-03-07 20:42 Christian Grothoff Target Version 0.9.4 => 0.10
2024-03-27 20:59 MarcS Status feedback => resolved
2024-03-27 20:59 MarcS Resolution open => fixed
2024-03-27 20:59 MarcS Fixed in Version => 0.9.4
2024-03-27 20:59 MarcS Note Added: 0022020
2024-04-09 13:12 Christian Grothoff Fixed in Version 0.9.4 => 0.10